import { FC, DOMAttributes, ReactElement } from 'react';
import { ButtonProps, SpinnerProps } from 'react-bootstrap';

declare type ReactBootstrapButtonProps = {
    buttonProps?: Omit<ButtonProps, 'children'>;
    isLoading?: boolean;
    isDisabled?: boolean;
    loaderPosition?: 'left' | 'right';
    loaderProps?: SpinnerProps;
    loadingMessage?: string;
    icon?: ReactElement;
};
declare const BootstrapButton: FC<ReactBootstrapButtonProps & DOMAttributes<HTMLButtonElement>>;

export { BootstrapButton };
